Bug 103213 - devel/subversion (v1.4.0): files/build-outputs.mk.patch patch failed for WITH_SVNSERVE_WRAPPER=yes
Summary: devel/subversion (v1.4.0): files/build-outputs.mk.patch patch failed for WITH...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-13 08:50 UTC by Jeff Hung
Modified: 2006-09-13 11:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeff Hung 2006-09-13 08:50:21 UTC
There is a new executable, svnsync, introduced in subversion 1.4.0, which is
also listed in build-outputs.mk file, too.

In files/build-outputs.mk.patch ports will patch svnserve to svnserve.bin for
the WITH_SVNSERVE_WRAPPER option.  But in subversion 1.4.0, the svnsync line
is inserted just after the svnserve line, which make the context of the patch
file failed to patch.

Fix: SHELL> diff -10 -u build-outputs.mk.patch build-outputs.mk.patch.fixed


- install-contrib: contrib/client-side/svn-push/svn-push$(EXEEXT) install-lib install-fsmod-lib--jlvkHxSVVTt693UHplS6fNiSBuCkWldDGCksouBWwFbIGF9Q
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- build-outputs.mk.patch      Wed Sep 13 15:41:53 2006
+++ build-outputs.mk.patch.fixed        Wed Sep 13 11:03:23 2006
@@ -1,11 +1,11 @@
 --- build-outputs.mk.orig      2004-10-22 22:13:15.000000000 +0400
 +++ build-outputs.mk   2004-11-05 11:15:30.265625000 +0300
 @@ -500,7 +500,7 @@
        cd subversion/svnadmin ; $(INSTALL_BIN) svnadmin$(EXEEXT) $(DESTDIR)$(bindir)/svnadmin$(EXEEXT)
        cd subversion/svndumpfilter ; $(INSTALL_BIN) svndumpfilter$(EXEEXT) $(DESTDIR)$(bindir)/svndumpfilter$(EXEEXT)
        cd subversion/svnlook ; $(INSTALL_BIN) svnlook$(EXEEXT) $(DESTDIR)$(bindir)/svnlook$(EXEEXT)
 -      cd subversion/svnserve ; $(INSTALL_BIN) svnserve$(EXEEXT) $(DESTDIR)$(bindir)/svnserve$(EXEEXT)
 +      cd subversion/svnserve ; $(INSTALL_BIN) svnserve$(EXEEXT) $(DESTDIR)$(bindir)/svnserve.bin$(EXEEXT)
+       cd subversion/svnsync ; $(INSTALL_BIN) svnsync$(EXEEXT) $(DESTDIR)$(bindir)/svnsync$(EXEEXT)
        cd subversion/svnversion ; $(INSTALL_BIN) svnversion$(EXEEXT) $(DESTDIR)$(bindir)/svnversion$(EXEEXT)
How-To-Repeat: 
SHELL> cd /usr/ports/devel/subversion; make WITH_SVNSERVE_WRAPPER=yes
...
===>  Vulnerability check disabled, database not found
===>  Extracting for subversion-1.4.0
=> MD5 Checksum OK for subversion/subversion-1.4.0.tar.bz2.
=> SHA256 Checksum OK for subversion/subversion-1.4.0.tar.bz2.
===>  Patching for subversion-1.4.0
===>  Applying extra patch /usr/ports/devel/subversion/files/build-outputs.mk.patch
1 out of 1 hunks failed--saving rejects to build-outputs.mk.rej
*** Error code 1

Stop in /usr/ports/devel/subversion.
Comment 1 Edwin Groothuis freebsd_committer 2006-09-13 08:50:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer
Comment 2 dfilter service freebsd_committer 2006-09-13 11:20:39 UTC
lev         2006-09-13 10:20:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/subversion     Makefile 
    devel/subversion/files build-outputs.mk.patch 
  Log:
    Fix build with -DWITH_SVNSERVE_WRAPPER
  
  PR:             ports/103213
  
  Revision  Changes    Path
  1.106     +1 -1      ports/devel/subversion/Makefile
  1.3       +4 -4      ports/devel/subversion/files/build-outputs.mk.patch
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Lev A. Serebryakov freebsd_committer 2006-09-13 11:21:40 UTC
State Changed
From-To: open->closed


Committed, thanks!